#ifndef XSRFTRIANGLES_H
#define XSRFTRIANGLES_H

#include "xasset.h"

#include <QVector3D>

class XSrfTriangles : public XAsset
{
public:
    explicit XSrfTriangles();
    ~XSrfTriangles();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    int mVertexLayerData;
    int mFirstVertex;
    quint32 mVertexCount;
    quint32 mTriCount;
    int mBaseIndex;
    QVector3D mTopMipMins;
    QVector3D mTopMipMaxs;
};

#endif // XSRFTRIANGLES_H
